import request from '@/utils/request'
//使用说明
//  export const getList = data => request.get('/api/list', data, false)
//              页面调用名  请求参数       请求类型  接口地址         loading是否显示
/*页面中调用方法：（若无请求参数则留空,例：this.$api.getList()）
this.$api.getList(params).then(res => {
	
})
*/
//列表
export const getList = data => request.get('/api/list', data)
//登陆
export const login = data => request.post('/api/login', data)
//注册
export const register = data => request.post('/api/register', data)
//忘记密码
export const forgetPassWord = data => request.post('/api/forgetPassWord', data)
//登陆用户信息
export const baseInfo = data => request.get('/api/baseinfo', data)
//检测版本升级
export const checkVersion = data => request.post('/api/checkVersion2', data,false)
//文章详情
export const detail = data => request.get('/api/detail', data,false)
//获取单页内容
export const page = data => request.get('/api/page', data)
//提交实名认证资料
export const auth = data => request.post('/api/auth', data)
//修改密码
export const password = data => request.post('/api/password', data)
//退出帐号
export const logout_account = data => request.post('/api/logout_account', data)
//修改手机号
export const phoneBind = data => request.get('/api/phoneBind', data)
//修改邮箱
export const emailBind = data => request.get('/api/emailBind', data)
//提交反馈
export const feedback = data => request.post('/api/feedback', data)
